

drivers/atm/ambassador.c: In function `wr_plain':
drivers/atm/ambassador.c:332: warning: unsigned int format, different type arg (arg 2)
drivers/atm/ambassador.c:332: warning: unsigned int format, different type arg (arg 2)
drivers/atm/ambassador.c:346: warning: unsigned int format, different type arg (arg 2)
drivers/atm/ambassador.c:346: warning: unsigned int format, different type arg (arg 2)
drivers/atm/ambassador.c:352: warning: unsigned int format, different type arg (arg 2)
drivers/atm/ambassador.c:352: warning: unsigned int format, different type arg (arg 2)
drivers/atm/ambassador.c:367: warning: unsigned int format, different type arg (arg 2)


---

 25-x86_64-akpm/drivers/atm/ambassador.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/atm/ambassador.c~atm-warning-fixes drivers/atm/ambassador.c
--- 25-x86_64/drivers/atm/ambassador.c~atm-warning-fixes	Fri Apr  9 01:11:34 2004
+++ 25-x86_64-akpm/drivers/atm/ambassador.c	Fri Apr  9 01:13:20 2004
@@ -329,7 +329,7 @@ static const unsigned long onegigmask = 
 /********** access to adapter **********/
 
 static inline void wr_plain (const amb_dev * dev, size_t addr, u32 data) {
-  PRINTD (DBG_FLOW|DBG_REGS, "wr: %08x <- %08x", addr, data);
+  PRINTD (DBG_FLOW|DBG_REGS, "wr: %08zx <- %08x", addr, data);
 #ifdef AMB_MMIO
   dev->membase[addr / sizeof(u32)] = data;
 #else
@@ -343,13 +343,13 @@ static inline u32 rd_plain (const amb_de
 #else
   u32 data = inl (dev->iobase + addr);
 #endif
-  PRINTD (DBG_FLOW|DBG_REGS, "rd: %08x -> %08x", addr, data);
+  PRINTD (DBG_FLOW|DBG_REGS, "rd: %08zx -> %08x", addr, data);
   return data;
 }
 
 static inline void wr_mem (const amb_dev * dev, size_t addr, u32 data) {
   u32 be = cpu_to_be32 (data);
-  PRINTD (DBG_FLOW|DBG_REGS, "wr: %08x <- %08x b[%08x]", addr, data, be);
+  PRINTD (DBG_FLOW|DBG_REGS, "wr: %08zx <- %08x b[%08x]", addr, data, be);
 #ifdef AMB_MMIO
   dev->membase[addr / sizeof(u32)] = be;
 #else
@@ -364,7 +364,7 @@ static inline u32 rd_mem (const amb_dev 
   u32 be = inl (dev->iobase + addr);
 #endif
   u32 data = be32_to_cpu (be);
-  PRINTD (DBG_FLOW|DBG_REGS, "rd: %08x -> %08x b[%08x]", addr, data, be);
+  PRINTD (DBG_FLOW|DBG_REGS, "rd: %08zx -> %08x b[%08x]", addr, data, be);
   return data;
 }
 

_
